package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Refrreres_lineRepository;
import com.realnet.vpspack.Entity.Refrreres_line
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class Refrreres_lineService {
@Autowired
private Refrreres_lineRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Refrreres_line Savedata(Refrreres_line data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Refrreres_line save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Refrreres_line> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Refrreres_line> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Refrreres_line> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Refrreres_line getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Refrreres_line update(Refrreres_line data,Integer id) {
	Refrreres_line old = Repository.findById(id).get();
old.setCompany(data.getCompany());

old.setFirst_name(data.getFirst_name());

old.setLast_name(data.getLast_name());

old.setCountry(data.getCountry());

old.setCity(data.getCity());

old.setEmail(data.getEmail());

final Refrreres_line test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
